1. Transactions
Synswi
  • Guides
    • Getting Started With the API
  • API Reference
    • Accounts
      • Get profile
      • Create new profile
      • Register webhook
      • Get Accounts
    • Account Setting
      • Get account setting
      • Update account setting
    • Devices
      • Get Devices
    • Dispute
      • Get disputes
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
      • Get a payment instrument by id
      • Create a Payment Instrument
    • Transactions
      • Get a transaction by id
        GET
      • Get transactions
        GET
      • Create a transaction
        POST
      • Update a transaction
        POST
      • Refund a transaction
        POST
      • create a cash-app transaction
        POST
    • Fees
      • Get current fee profile
    • Settlements
      • get settlements
      • get settlement entries
    • Identity
      • Register an user
      • Login
      • Validate Token
      • Create an api key
      • List api keys
      • Get Users
    • Programs
      • Accounts
    • Permission
      • Verify user permissions
      • Get Account Users
      • List Accounts
    • Events
      • Get Events
  1. Transactions

create a cash-app transaction

Developing
POST
https://api-dev.synswi.com/transactions

Request

Body Params application/jsonRequired

Example
{
    "accountId": "{{accountId}}",
    "amount": 10000,
    "type": "pull",
    "channel": "online",
    "method": "cashapp",
    "tags": {
        "orderId": "order-123",
        "customerId": "customer-456"
    }
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Previous
Refund a transaction
Next
Get current fee profile
Built with